# TdApi.PremiumFeatures (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PremiumFeatures

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumFeatures

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumFeatures

Enclosing class:
  TdApi

public static final class TdApi.PremiumFeatures extends TdApi.Object
Contains information about features, available to Premium users.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.PremiumFeature[]`
`features`
The list of available features.
`TdApi.PremiumLimit[]`
`limits`
The list of limits, increased for Premium users.
`TdApi.InternalLinkType`
`paymentLink`
An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

## Constructor Summary

Constructors
Constructor
Description
`PremiumFeatures()`
Contains information about features, available to Premium users.
`PremiumFeatures(TdApi.PremiumFeature[] features, TdApi.PremiumLimit[] limits, TdApi.InternalLinkType paymentLink)`
Contains information about features, available to Premium users.
`PremiumFeatures(DataInput input)`
Contains information about features, available to Premium users.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### features

public TdApi.PremiumFeature[] features
The list of available features.

### limits

public TdApi.PremiumLimit[] limits
The list of limits, increased for Premium users.

### paymentLink

public TdApi.InternalLinkType paymentLink
An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PremiumFeatures

public PremiumFeatures()
Contains information about features, available to Premium users.

### PremiumFeatures

public PremiumFeatures(TdApi.PremiumFeature[] features, TdApi.PremiumLimit[] limits, TdApi.InternalLinkType paymentLink)
Contains information about features, available to Premium users.

Parameters:
  `features` - PremiumFeature[] The list of available features.
  `limits` - PremiumLimit[] The list of limits, increased for Premium users.
  `paymentLink` - InternalLinkType An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

### PremiumFeatures

public PremiumFeatures(DataInput input) throws IOException
Contains information about features, available to Premium users.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`